Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.util
Class TupleHasher

    java.lang.Object
      cascading.tuple.util.TupleHasher

Direct Known Subclasses:
  HasherPartitioner

    public class TupleHasher

extends Object

Constructor Summary
`TupleHasher()`
`TupleHasher(Comparator defaultComparator, Comparator[] comparators)`

Method Summary
`int` | `hashCode(Tuple tuple)`
`protected void` | `initialize(Comparator defaultComparator, Comparator[] comparators)`
`static boolean` | `isNull(Comparator[] comparators)`
`static Comparator[]` | `merge(Fields[] keyFields)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleHasher

    public TupleHasher()

### TupleHasher

    public TupleHasher(Comparator defaultComparator,
                       Comparator[] comparators)

Method Detail

### merge

    public static Comparator[] merge(Fields[] keyFields)

### isNull

    public static boolean isNull(Comparator[] comparators)

### initialize

    protected void initialize(Comparator defaultComparator,
                              Comparator[] comparators)

### hashCode

    public final int hashCode(Tuple tuple)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.